逗比云还是逃不过被墙的命运,既然如此那以后逗比云也就一直用被墙的旧域名 [softs.wtf] 算了。
投稿文章 | 广告合作 | Telegram 群组 / 公告频道 / 使用教程
广告

专为 Telegram 设计的轻量化代理工具 —— MTProxy(Mtproto Proxy)

Shell脚本 Toyo 152评论
本文最后更新于 2018年10月17日 12:23 可能会因为没有更新而失效。如已失效或需要修正,请留言!

最近有人给我推荐了个代理软件,查了下发现是专门为 Telegram 开发的代理软件,代理服务端限制了客户端只允许访问 Telegram 的服务器。

相比于使用其他代理软件,然后 Telegram 配置链接本地代理软件而言,该方法更方便一些,无需每次启动 Telegram 都需要先启动代理软件,特别是对于手机使用者来说。

至于该软件的特性,大概就是占用资源少、使用方便、Telegram官方支持(是不是官方开发的我也不知道,估计不是)。

而且,今年4月俄罗斯封禁了 Telegram,5月底 MTProxy 第一个版本就出来了,考虑到开发时间,怕是因为俄罗斯封禁的原因而促使 Telegram 要搞个 Telegram 专用的代理工具了。

注意:MTProxy 仅支持 Telegram 客户端使用,无法用于代理其他网站和软件!

逗比根据地 交流群组:https://t.me/doubi

逗比根据地 公告频道:https://t.me/doubi_a

Telegram 使用教程:https://doub.io/telegram-jc1/

Github 项目地址:https://github.com/TelegramMessenger/MTProxy

为什么要用 MTProxy ?为何不直接用代理软件?

可能有人会疑问:MTProxy 是一个只能 Telegram 客户端使用的代理,那么为什么不直接用其他代理软件呢?

我就特地来回答一下大家的疑问。

1. 移动设备便捷性:对于电脑用户来说, MTProxy 比较鸡肋,因为很多人都是代理软件开机启动并且全天不关。但是对于手机用户来说,每次要查看 Telegram 客户端,都需要先开启代理软件,而如果你在手机上不是经常要挂代理,但是你会经常去 Telegram 里吹比打屁,那么你就很适合使用 MTProxy 了,它可以让你使用 Telegram 客户端像使用国内的 QQ、微信一样方便,打开即用。

2. 适合分享给朋友:当你觉得 TG很好用,想要劝身边的朋友抛弃 QQ、微信 转投 Telegram 时,你却发现你还需要给他配置一套代理软件、代理账号,指导他如何使用代理软件,巴拉巴拉的。但是如果你有 MTProxy 代理账号,那么只需要填写代理配置后,即可直接使用!

系统要求

CentOS 7 / Debian 7+ / Ubuntu 14.04 +

推荐 Debian 7/8 x64,这个是我一直使用的系统,我的脚本在这个系统上面出错率最低。

注意:因为 CentOS 6 系统的 GCC 版本过低,会导致编译失败报错这个),请使用更高版本的系统!

脚本版本

Ver: 1.0.6

安装步骤

执行下面的代码下载并运行脚本。

wget -N --no-check-certificate https://raw.githubusercontent.com/ToyoDAdoubi/doubi/master/mtproxy.sh && chmod +x mtproxy.sh && bash mtproxy.sh

运行脚本后会出现脚本操作菜单,选择并输入 1 就会开始安装。

点击展开 查看更多

使用说明

进入下载脚本的目录并运行脚本:

./mtproxy.sh

然后选择你要执行的选项即可。

  MTProxy 一键管理脚本 [vX.X.X]
  ---- Toyo | doub.io/shell-jc7 ----
  
  0. 升级脚本
————————————
  1. 安装 MTProxy
  2. 更新 MTProxy
  3. 卸载 MTProxy
————————————
  4. 启动 MTProxy
  5. 停止 MTProxy
  6. 重启 MTProxy
————————————
  7. 设置 账号配置
  8. 查看 账号信息
  9. 查看 日志信息
 10. 查看 链接信息
————————————

 当前状态: 已安装 并 已启动

 请输入数字 [0-10]:

其他操作

启动:/etc/init.d/mtproxy start

停止:/etc/init.d/mtproxy stop

重启:/etc/init.d/mtproxy restart

查看状态:/etc/init.d/mtproxy status

安装目录:/usr/local/mtproxy

配置文件:/usr/local/mtproxy/mtproxy.conf

日志文件:/usr/local/mtproxy/mtproxy.log

Telegram 使用方法说明:

如果你的 TG 客户端没有 Mtproto 代理选项,那么请更新到最新版本

Telegram 内置了 Mtproto 代理选项,所以TG客户端内点击 tg://proxy?xxxx... 链接就会自动配置代理,非常方便。

PC 使用步骤

点击展开 查看更多

分享代理账号并推广频道

MTProxy 有个官方机器人,可以让你在此分享 MTProxy 代理账号,但是只分享没收获的话,大家都没什么动力,所以 MTProxy 机器人可以让你分享出去的免费账号起到推广频道的作用,使用你机器人处分享的免费账号的人都会在聊天列表里看到推广频道信息。

机器人:https://t.me/MTProxybot@MTProxybot

点击展开 查看更多

其他说明

注意:MTProxy 仅支持 Telegram 客户端使用,无法用于其他软件!

编译失败,提示包含 xxxxx option "-std=gnu11" 错误

点击展开 查看更多

启动失败,日志提示 'S' option requires exactly 32 hex digits 错误

该问题只出现于自定义密码时,因为 MTProxy 为了安全性而要求密码必须是 32位(多了少了都不行),如果数量不对就会提示这个,建议用脚本随机生成!

启动失败,日志显示 mtproto-proxy: common/pid.c:42: init_common_PID: Assertion '!(p & 0xffff0000)' failed.

Azure的服务器可能会出现该问题,具体见评论:#comment-43366

提示wget: unknown host “raw.githubusercontent.com” 之类的错误

点击展开 查看更多

提示 wget: command not found 的错误

点击展开 查看更多

升级脚本

升级脚本只需要重新下载脚本文件就可以了,会自动覆盖原文件。

更新日志

2018年10月15日,版本 v1.0.6

1. 新增 手动更新 Telegram IP段功能(不需要频繁更新)。

2. 新增 手动更新 Telegram 密匙功能(一般不需要)。

3. 修复 当你单独修改非NAT配置时,NAT配置丢失的问题。

—— 注意:只是新增的手动更新 TG IP段功能,自动更新的功能早就有了,不过因为 TG IP段也不是经常变动,所以往往不需要频繁更新。

点击展开 查看更多


逗比根据地 交流群组:https://t.me/doubi

逗比根据地 公告频道:https://t.me/doubi_a

转载请超链接注明:逗比根据地 » 专为 Telegram 设计的轻量化代理工具 —— MTProxy(Mtproto Proxy)
责任声明:本站一切资源仅用作交流学习,请勿用作商业或违法行为!如造成任何后果,本站概不负责!

赞 (1149)
发表我的评论
取消评论
表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
(152)个小伙伴在吐槽
  1. 您好,能不能再脚本里加个支持IPV6协议的。我ipv4被墙了,问商家要了ipv6,安装了您的这个脚本,客户端连接不到ipv6.
    ooeewen2018-09-13 08:53 回复
    • 目前 MTProxy 好像并不支持 IPv6,我脚本也无法实现使其支持 IPv6。
      Toyo2018-09-13 11:34 回复
  2. [信息] 开始下载/安装...
    Cloning into 'MTProxy'...
    remote: Counting objects: 183, done.
    remote: Compressing objects: 100% (3/3), done.
    remote: Total 183 (delta 0), reused 1 (delta 0), pack-reused 180
    Receiving objects: 100% (183/183), 295.44 KiB | 159.00 KiB/s, done.
    Resolving deltas: 100% (72/72), done.
    cc  -O3 -std=gnu11 -Wall -mpclmul -march=core2 -mfpmath=sse -mssse3 -fno-strict-aliasing -fno-strict-overflow -fwrapv -DAES=1 -DCOMMIT=\"f9158e3129efd4ccdc291aefb840209791226a77\" -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -iquote common -iquote . -c -MP -MD -MF dep/mtproto/mtproto-proxy.d -MQ objs/mtproto/mtproto-proxy.o -o objs/mtproto/mtproto-proxy.o mtproto/mtproto-proxy.c
    make: cc: Command not found
    make: *** [objs/mtproto/mtproto-proxy.o] Error 127
    [错误] MTProxy 编译失败!
    另外,如果在上面几行看到 xxxxx option "-std=gnu11" 字样,说明是系统版本过低,请尝试更换系统重试!
    
    这啥情况
    
    huifeideyu2018-09-08 10:24 回复
    • 编译器有问题,导致无法编译。
      你是什么系统?我的脚本默认开始时就会安装编译相关依赖,出现这个错误说明编译依赖安装失败了。
      # CentOS系统:
      yum groupinstall "Development Tools" -y
      # Debian/Ubuntu系统:
      apt-get install -y build-essential libssl-dev zlib1g-dev
      
      Toyo2018-09-08 12:50 回复
  3. AWS的EC2安装完成后,Telegram无法连接。EC2的安全组已放行所有端口,重装也没用,但我装的SSR服务就可以正常使用,两个有冲突?求解,拜谢!
    Subp2018-09-06 15:40 回复
    • 两个软件不存在冲突(只要端口不一样)。
      Toyo2018-09-06 17:30 回复
      • 通过输入10查看链接信息,可以看到我手机的IP信息,说明我的Telegram已经连到服务器了,可为什么Telegram客户端上一直显示正在连接代理,求解.
        Subp2018-09-07 17:53 回复
        • 检查一下服务器的时间是否是当前时区标准时间,相差过大的话,MTProxy 无法与 TG服务器建立链接貌似。
          Toyo2018-09-07 18:46 回复
  4. 编译成功的,但是启动失败.
    Alone882018-09-05 11:00 回复
    • 贴出完整日志内容。
      Toyo2018-09-05 14:33 回复
  5. Arm64不能编译,只支持X86,没卵用
    JohnConnot2018-09-02 14:44 回复
    • 然而海外服务器基本都是 32位 64位的。
      Toyo2018-09-02 17:57 回复
  6. [信息] 开始下载/安装 服务脚本(init)... /etc/init.d/mtproxy: Permission denied [错误] MTProxy服务 管理脚本下载失败 ! 请问这是什么情况?应该是和8月12日安装失败的那个老哥情况一致,环境是谷歌云CentOS Linux 7.5.1804 (Core)
    ikaleo2018-09-01 20:44 回复
    • 账号权限不足。
      Toyo2018-09-01 21:50 回复
  7. 请问,tg代理显示已经启动了,但是tg客户端也设置了代理,但客户端一直显示正在连接代理
    eatNeko2018-08-29 11:01 回复
    • 确保服务器系统时间时间与本地设备时间差不多。
      Toyo2018-08-29 12:11 回复
      • 请问,大佬您是tg群的Toyoooo吗
        eatNeko2018-08-29 14:36 回复
  8. 两个链接在Google cloud上面安装的时候,都显示下载失败 mtproxy.sh: line 76: git: command not found
    吃吃吃2018-08-27 13:45 回复
    • 说明脚本安装 Git 失败,请尝试手动安装 Git。
      Toyo2018-08-27 15:51 回复
  9. 大佬,这个脚本可以在国内中转下么?
    推推2018-08-25 15:17 回复
    • 任何代理软件都是可以被端口转发的。
      端口转发(中转)程序只负责转发。
      Toyo2018-08-25 17:43 回复
  10. 安装成功 也启动了 死活连不上也不知道为什么
    zhghoi2018-08-24 18:03 回复
    • 请确保服务器和本地的系统时间是当前时区的标准时间。
      Toyo2018-08-24 18:23 回复
  11. Toyo大佬,我想咨询一下,如果Telegram用别人的MTProxy,那么服务器的拥有者能看到使用代理的人Telegram内的通信内容吗?
    Observer2018-08-24 14:05 回复
    • 当然不能,首先 TG客户端于服务端直接传输数据就是加密的,而 MTProxy 只负责转发TG客户端的数据给服务端(及服务端转发给客户端),而 MTPrxoy 也会在 TG自身加密的基础上再加密一次,并且做伪装混淆什么的处理,以保证代理不会被墙检测封锁。
      Toyo2018-08-24 16:25 回复
  12. aws东京无法安装,报错信息:
    Makefile:86: recipe for target 'objs/mtproto/mtproto-proxy.o' failed
    make: *** [objs/mtproto/mtproto-proxy.o] Error 1
    [错误] MTProxy 编译失败!
    rm -rf objs dep objs/bin || true
    
    其他地域都可以安装,但全部无法连接 :cry:
    小小酥2018-08-23 11:16 回复
    • 给出的信息太少,请贴出更多报错内容。
      如果安装后无法链接,请检查服务器时间与本地设备时间是否相差过大,最好两个服务器的系统时间都是各自时区的标准时间。
      另外 TG客户端也要用最新版本。
      Toyo2018-08-23 13:43 回复
    • 我也是遇到这个问题,装不到
      hillvision2018-08-25 15:07 回复
  13. 更新了1.05后 无法启动 CentOS 7
    /lib/x86_64-linux-gnu/libc.so.6(gsignal+0x37)[0x7f2480f65067]
    /lib/x86_64-linux-gnu/libc.so.6(abort+0x148)[0x7f2480f66448]
    /lib/x86_64-linux-gnu/libc.so.6(+0x2e266)[0x7f2480f5e266]
    /lib/x86_64-linux-gnu/libc.so.6(+0x2e312)[0x7f2480f5e312]
    ./mtproto-proxy(mtfront_pre_init+0x1db)[0x41725b]
    ./mtproto-proxy(default_main+0x104)[0x43e094]
    /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7f2480f51b45]
    ./mtproto-proxy[0x40fc60]
    [pid 1461] [time 1534821055] -------------------------------
    [pid 1461] [time 1534821055] mtproxy-0.01 compiled at Aug 21 2018 11:10:45 by gcc 4.9.2 64-bit after commit f9158e3129efd4ccdc291aefb840209791226a77[pid 1461] [time 1534821055]
    
    xuranran2018-08-21 11:18 回复
    • 你这是安装编译失败,还是安装成功后启动失败?
      Toyo2018-08-21 11:48 回复
      • 成功安装
        xuranran2018-08-21 11:57 回复
      • 安装成功,启动失败。
        xuranran2018-08-21 12:04 回复
        • 这个错误提示,看不出是因为什么而导致无法启动的,可能涉及到程序自身问题,建议去 Github 向作者反馈。
          Toyo2018-08-21 12:33 回复
        • 经过另外一个出现该错误的人验证,是新版本启动参数加的 -M 1 参数导致的,取消该参数就正常了,你升级下脚本就行了。
          Toyo2018-08-23 23:10 回复
  14. 大佬: 你好!我用你推荐的vultr装了你的SSR后还能在装这个MTPROXY吗?我发现我装过这个MTproxy后SSR不能用了。
    lingkong2018-08-21 10:52 回复
    • 只要端口不一样,就不会冲突。
      Toyo2018-08-21 11:49 回复
  15. 大佬: 我有个vultr服务器之前装的你的ssr,现在又装了mtproxy后除了TG外其他的都不能连上外网了,怎么解决?
    lingkong2018-08-21 10:18 回复
    • 两个代理软件是独立的,不会互相影响。
      Toyo2018-08-21 11:51 回复
  16. 大佬我是Ubuntu7,服务启动失败 [pid 120834] [time 1534738717] mtproxy-0.01 compiled at Aug 20 2018 12:18:25 by gcc 4.9.2 64-bit after commit f9158e3129efd4ccdc291aefb840209791226a77[pid 120834] [time 1534738717]
    香芋奶茶2018-08-20 12:24 回复
    • 信息有点少,看不出问题,请贴出详细信息。
      Toyo2018-08-20 16:15 回复
  17. 这个特别吃CPU(空载19%),而且在电报客户端上无法隐藏IP
    nekochyan2018-08-15 23:04 回复
    • 服务器性能很弱吗?我搭建后如果不用,基本不占用CPU。
      TG客户端的活动会话里显示本地IP,我测试发现部分账号是代理服务器IP,部分账号则是本地IP。这可能是 MTProxy 自身问题,不过这个信息只有TG服务器会知道,除非别人能登陆你的TG,既然别人都能登陆你的TG账号了,那。。。
      Toyo2018-08-16 00:30 回复
  18. [错误] MTProxy服务 管理脚本下载失败 ! ??
    ramessu2018-08-12 11:51 回复
    • 请贴出完整错误内容。
      Toyo2018-08-12 14:16 回复
  19. 会出现段错误,使用官方的方式安装也会有同样的报错。
    
    
    [信息] MTProxy服务 管理脚本下载完成 !
    [信息] 开始写入 配置文件...
    [信息] 开始设置 iptables防火墙...
    The service command supports only basic LSB actions (start, stop, restart, try-restart, reload, force-reload, status). For other actions, please try to use systemctl.
    服务 iptables 信息读取出错:没有那个文件或目录
    [信息] 开始添加 iptables防火墙规则...
    [信息] 开始保存 iptables防火墙规则...
    The service command supports only basic LSB actions (start, stop, restart, try-restart, reload, force-reload, status). For other actions, please try to use systemctl.
    [信息] 所有步骤 安装完毕,开始启动...
    [信息] MTProxy 启动中...
    /etc/init.d/mtproxy: 行 47:  1141 段错误               nohup ./mtproto-proxy -u nobody -p 65432 -H ${port} -S "${passwd}" ${nat} --aes-pwd proxy-secret proxy-multi.conf >> "${LOG}" 2>&1
    [错误] MTProxy 启动失败 !
    
    ligen2018-08-09 16:07 回复
    • 通过脚本查看日志,看看有没有报错信息。
      Toyo2018-08-09 16:35 回复
  20. 运行成功但是一直无法连接,在官方issues里发现了解决办法,是时间不同步的原因,安装ntp并进行配置就连接成功了. issues链接:https://github.com/TelegramMessenger/MTProxy/issues/132
    2332018-08-07 16:30 回复
    • 我当初写完脚本做测试时发现也是连不上,后来换个服务器就正常了。
      刚才去看了下两个服务器的时间都一样。。。而且原来测试不能连接的那个服务器现在又能正常链接了。。。迷。
      另外,ntp的话,时间是以什么为标准?是TG服务器时间,还是各时区标准时间。。。我的服务器是北京时间,链接正常,应该是只要是各时区的标准时间就行。
      Toyo2018-08-08 01:13 回复
  21. 你好 我怎么把ip换成域名呢 :sad:
    小白菜2018-08-03 11:45 回复
    • 首先你要有个域名,然后把域名解析到你的服务器IP就行了,你的 MTProxy 账号就能使用域名代替IP了。
      Toyo2018-08-03 12:34 回复
  22. 试过脚本在vps能用,我境外有公网路由,下面的PVE虚拟机的debian8 装了之后不能用。端口映射了port 7000 tcp udp不能用。debian是192.168.3.106,nat输入这个192.168.3.106也还是不行……请教解决方案~
    geralt2018-08-01 17:57 回复
  23. 我想咨询一下 搭完代理后 显示正常运行没有报错,但是手机端tg无法连接 正在连接
    如果没有你2018-08-01 16:26 回复
  24. 为什么我加载出来的脚本字都是些框框,虽然看不到字,不过看教程图不影响部署。求解答
    小白2018-07-28 15:12 回复
    • 不要使用 网页SSH,要用SSH客户端,例如 Putty Xshell ,如果用了还是中文乱码,说明你的VPS系统不支持中文显示。
      Toyo2018-07-29 14:00 回复
  25. 请问一下大佬,我在两台机器上装了这个脚本,A上安装成功,tg能连上;B上完全一样的步骤,能安装成功,但是tg却一直连不上。区别是,B上本身装有ssr服务,难道是ssr服务与这个有冲突吗?(B上的ssr服务一直正常,没有被墙) 还有一个可能的问题是,B上装MTProxy时,第一次没有用root账号,所以安装失败了,之后我也没管,直接换到root账号安装成功的,检查MTProxy服务也已成功启动了,是不是这个安装过程不对,出现了问题?
    eastliu2018-07-28 10:04 回复
    • 说实话,这种问题我也不清楚,我当初写该脚本的时候,我的一个测试服务器也是能安装但是连不上TG服务器,我换成另一个服务器才行。
      Toyo2018-07-28 14:36 回复
      • 好的,谢谢!请问是不是可以排除这种出错的可能:我用非root账号安装失败了一次,然后用root账号覆盖安装成功的。 另外,怎么样可以完全卸载干净,我从头用root账号完整安装一次看行不行
        eastliu2018-07-29 21:14 回复
  26. google了下,apt-get install ca-certificates 能解决“roblem with the SSL CA cert” !~
    geralt2018-07-26 03:34 回复
  27. Cloning into 'MTProxy'... fatal: unable to access 'https://github.com/TelegramMessenger/MTProxy.git/': Problem with the SSL CA cert (path? access rights?) 请教一下这问题怎么解决
    geralt2018-07-26 03:31 回复
  28. 请问一下,我现在用v2ray的socks5服务端给tg,请问这个相比有哪些好处
    geralt2018-07-23 02:13 回复
    • 1. MTProxy 安装更简单。
      2. TG官方承认 MTProxy。
      3. TG客户端支持 MTProxy。
      4. MTProxy代理 比 原生SOCKS5代理 更好(SS SSR Brook等代理软件都是基于SOCKS5,在此基础上添加了加密、协议、伪装、账号管理等功能,而原生SOCKS5代理没有这些,不够安全)。
      Toyo2018-07-23 10:45 回复
      • 多谢回复
        geralt2018-07-26 03:26 回复
  29. 动态IP不支持啊,即使修改配置文件的IP为DDNS域名也启动不了
    熊三2018-07-22 12:17 回复
    • 日志提示什么?如果MTProxy 软件自身不支持的话我也没办法。
      Toyo2018-07-22 12:30 回复
  30. 反馈:OS Ubuntu 14.04,已装BBR,端口没有冲突
    错误提示:MTProxy 下载失败。 
    日志显示:
    Cloning into 'MTProxy'...
    remote: Internal Server Error.
    remote:
    fatal: unable to access 'https://github.com/TelegramMessenger/MTProxy/': The requested URL returned error: 500
    [错误] MTProxy 下载失败!
    
    这算是个BUG吗? 请大佬检查。
    红霉素2018-07-10 16:15 回复
    • 看提示是你的服务器与 Github 之间链接有问题。
      你删除这个脚本,重下脚本再试试。
      Toyo2018-07-11 13:58 回复
  31. 请问在手机端的telegram X上使用的话,应该如何设置?我在手动代理设置里面填好相关信息了,但是代理需要填用户名和密码,密码倒是有那个32位的,用户名应该怎么填呢
    eastliu2018-07-09 22:37 回复
    • 我没用过 TG X 客户端,TG 最新客户端里添加代理有个 MTProxy 选项,你说的应该是 SOCKS 或 HTTP 代理选项,自然不行。
      Toyo2018-07-10 00:11 回复
      • 好的,谢谢!
        eastliu2018-07-12 21:36 回复
        • 你看下 TG X客户端软件的更新日期,最新的才四月啊 这个五月才出来的,你去申请使用beta权限,然后更新以后就可以用了,不过beta版本不能中文。。
          小市民2018-07-18 13:18 回复
          • 好的,谢谢,tgx正式版已经更新了,支持这个功能了!
            eastliu2018-07-28 10:51 回复
  32. [19841][2018-07-09 02:45:25.580418 local] Invoking engine mtproxy-0.01 compiled at Jul 9 2018 02:45:07 by gcc 4.8.5 20150623 (Red Hat 4.8.5-28) 64-bit after commit 20824f5fa8af3939e667fba5c1785f02059c1c43 [19841][2018-07-09 02:45:25.580790 local] config_filename = 'proxy-multi.conf' [19841][2018-07-09 02:45:25.587906 local] Started as [0.0.0.0:-104:19841:1531104325] [19841][2018-07-09 02:45:25.590117 local] configuration file proxy-multi.conf re-read successfully (797 bytes parsed), new configuration active [19841][2018-07-09 02:45:25.590211 local] main loop 查看连接ip有我的本地IP,但TG里总显示CONNETCTING状态
    熊三2018-07-09 08:07 回复
    • 我也不清楚,我测试脚本时,也是一个测试服务器死活连不上,换另一个服务器就正常了,而 MTProxy 也没有错误输出,我也不清楚到底是哪个环节的问题。。。
      Toyo2018-07-09 11:13 回复
  33. MTProxy 一键管理脚本 [v1.0.3]
      ---- Toyo | doub.io/shell-jc7 ----
      
      0. 升级脚本
    ————————————
      1. 安装 MTProxy
      2. 更新 MTProxy
      3. 卸载 MTProxy
    ————————————
      4. 启动 MTProxy
      5. 停止 MTProxy
      6. 重启 MTProxy
    ————————————
      7. 设置 账号配置
      8. 查看 账号信息
      9. 查看 日志信息
     10. 查看 链接信息
    ————————————
    
     当前状态: 未安装
    
     请输入数字 [0-10]:1
    [信息] 开始设置 用户配置...
    请输入 MTProxy 端口 [1-65535]
    (默认: 7000):
    
    ========================
    	端口 :  7000 
    ========================
    
    请输入 MTProxy 密码(手动输入必须为32位,[0-9][a-z][A-Z],建议随机生成)
    (默认:随机生成):
    
    ========================
    	密码 :  5983cfb64c8443353062b3ece93e3fea 
    ========================
    
    eth0      Link encap:Ethernet  HWaddr 56:00:01:8F:5A:24  
              inet addr:144.202.10.57  Bcast:144.202.11.255  Mask:255.255.254.0
              inet6 addr: fe80::5400:1ff:fe8f:5a24/64 Scope:Link
              UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
              RX packets:2557624 errors:0 dropped:0 overruns:0 frame:0
              TX packets:4338430 errors:0 dropped:0 overruns:0 carrier:0
              collisions:0 txqueuelen:1000 
              RX bytes:2325007783 (2.1 GiB)  TX bytes:2251981883 (2.0 GiB)
    
    lo        Link encap:Local Loopback  
              inet addr:127.0.0.1  Mask:255.0.0.0
              inet6 addr: ::1/128 Scope:Host
              UP LOOPBACK RUNNING  MTU:65536  Metric:1
              RX packets:14248 errors:0 dropped:0 overruns:0 frame:0
              TX packets:14248 errors:0 dropped:0 overruns:0 carrier:0
              collisions:0 txqueuelen:0 
              RX bytes:1918906 (1.8 MiB)  TX bytes:1918906 (1.8 MiB)
    
    如果本机是NAT服务器(谷歌云、微软云、阿里云等),则请输入你的服务器内网IP,否则会导致无法使用。如果不是请直接回车!
    (默认:回车跳过):
    
    ========================
    	NAT :  NO 
    ========================
    
    [信息] 开始安装/配置 依赖...
    Loaded plugins: fastestmirror
    Setting up Update Process
    Loading mirror speeds from cached hostfile
     * base: ewr.edge.kernel.org
     * epel: fedora-epel.mirrors.tds.net
     * extras: mirrors.centos.webair.com
     * updates: mirror.cogentco.com
    No Packages marked for Update
    Loaded plugins: fastestmirror
    Setting up Install Process
    Loading mirror speeds from cached hostfile
     * base: ewr.edge.kernel.org
     * epel: fedora-epel.mirrors.tds.net
     * extras: mirrors.centos.webair.com
     * updates: mirror.cogentco.com
    Package openssl-devel-1.0.1e-57.el6.x86_64 already installed and latest version
    Package zlib-devel-1.2.3-29.el6.x86_64 already installed and latest version
    Package git-1.7.1-9.el6_9.x86_64 already installed and latest version
    Package net-tools-1.60-114.el6.x86_64 already installed and latest version
    Nothing to do
    Loaded plugins: fastestmirror
    Setting up Group Process
    Loading mirror speeds from cached hostfile
     * base: ewr.edge.kernel.org
     * epel: fedora-epel.mirrors.tds.net
     * extras: mirrors.centos.webair.com
     * updates: mirror.cogentco.com
    Package flex-2.5.35-9.el6.x86_64 already installed and latest version
    Package gcc-4.4.7-23.el6.x86_64 already installed and latest version
    Package redhat-rpm-config-9.0.3-51.el6.centos.noarch already installed and latest version
    Package rpm-build-4.8.0-59.el6.x86_64 already installed and latest version
    Package 1:make-3.81-23.el6.x86_64 already installed and latest version
    Package patch-2.6-8.el6_9.x86_64 already installed and latest version
    Package 1:pkgconfig-0.23-9.1.el6.x86_64 already installed and latest version
    Package gettext-0.17-18.el6.x86_64 already installed and latest version
    Package automake-1.11.1-4.el6.noarch already installed and latest version
    Package bison-2.4.1-5.el6.x86_64 already installed and latest version
    Package libtool-2.2.6-15.5.el6.x86_64 already installed and latest version
    Package autoconf-2.63-5.1.el6.noarch already installed and latest version
    Package gcc-c++-4.4.7-23.el6.x86_64 already installed and latest version
    Package binutils-2.20.51.0.2-5.48.el6.x86_64 already installed and latest version
    Package patchutils-0.3.1-3.1.el6.x86_64 already installed and latest version
    Package byacc-1.9.20070509-7.el6.x86_64 already installed and latest version
    Package indent-2.2.10-7.el6.x86_64 already installed and latest version
    Package systemtap-2.9-9.el6.x86_64 already installed and latest version
    Package diffstat-1.51-2.el6.x86_64 already installed and latest version
    Package elfutils-0.164-2.el6.x86_64 already installed and latest version
    Package cvs-1.11.23-16.el6.x86_64 already installed and latest version
    Package rcs-5.7-37.el6.x86_64 already installed and latest version
    Package subversion-1.6.11-15.el6_7.x86_64 already installed and latest version
    Package gcc-gfortran-4.4.7-23.el6.x86_64 already installed and latest version
    Package 1:doxygen-1.6.1-6.el6.x86_64 already installed and latest version
    Package intltool-0.41.0-1.1.el6.noarch already installed and latest version
    Package git-1.7.1-9.el6_9.x86_64 already installed and latest version
    Package ctags-5.8-2.el6.x86_64 already installed and latest version
    Package cscope-15.6-7.el6.x86_64 already installed and latest version
    Package swig-1.3.40-6.el6.x86_64 already installed and latest version
    Warning: Group development does not have any packages.
    No packages in any requested group available to install or update
    [信息] 开始下载/安装...
    Initialized empty Git repository in /tmp/mtproxy/MTProxy/.git/
    remote: Counting objects: 172, done.
    remote: Total 172 (delta 0), reused 0 (delta 0), pack-reused 172
    Receiving objects: 100% (172/172), 270.80 KiB, done.
    Resolving deltas: 100% (67/67), done.
    cc  -O3 -std=gnu11 -Wall -mpclmul -march=core2 -mfpmath=sse -mssse3 -fno-strict-aliasing -fno-strict-overflow -fwrapv -DAES=1 -DCOMMIT=\"20824f5fa8af3939e667fba5c1785f02059c1c43\" -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -iquote common -iquote . -c -MP -MD -MF dep/mtproto/mtproto-proxy.d -MQ objs/mtproto/mtproto-proxy.o -o objs/mtproto/mtproto-proxy.o mtproto/mtproto-proxy.c
    cc1: error: unrecognized command line option "-std=gnu11"
    make: *** [objs/mtproto/mtproto-proxy.o] Error 1
    [错误] MTProxy 编译失败!
    rm -rf objs dep objs/bin || true
    
    NKDark2018-07-07 10:45 回复
    • 文章开头写了:
      注意:因为 CentOS 6 系统的 GCC 版本过低,会导致编译失败,请使用更高版本的系统!
      Toyo2018-07-07 13:36 回复
  34. 一直显示编译失败。。
    xuranrna2018-07-06 15:39 回复
    • 请贴出完整错误信息。
      Toyo2018-07-07 10:11 回复
      • collect2: error: ld terminated with signal 9 [Killed] make: *** [objs/bin/mtproto-proxy] Error 1 [错误] MTProxy 编译失败! rm -rf objs dep objs/bin || true
        xuranrna2018-07-07 16:25 回复
  35. 手机上好像不能用啊,点了也没弹出设置代理的提示框啊
    2342018-07-06 10:58 回复
    • Telegram X 客户端是不支持的,而 Telegram 客户端请确保是最新版本。
      Toyo2018-07-06 11:13 回复
      • telegram X 支持啊,正在用
        路过一下2018-07-07 18:08 回复
  36. 厉害,虽然不用电报!
    这个杀手不太灵2018-07-04 19:45 回复
  37. 系统:
    debian-7-X86_64
    状态:
      0. 升级脚本
    ————————————
      1. 安装 MTProxy
      2. 更新 MTProxy
      3. 卸载 MTProxy
    ————————————
      4. 启动 MTProxy
      5. 停止 MTProxy
      6. 重启 MTProxy
    ————————————
      7. 设置 账号配置
      8. 查看 账号信息
      9. 查看 日志信息
     10. 查看 链接信息
    ————————————
    
     当前状态: 已安装 并 已启动
    日志:
    [3581][2018-07-04 16:09:46.988148 local] Invoking engine mtproxy-0.01 compiled at Jul  4 2018 16:01:34 by gcc 4.7.2 64-bit after commit 20824f5fa8af3939e667fba5c1785f02059c1c43
    [3581][2018-07-04 16:09:46.988325 local] config_filename = 'proxy-multi.conf'
    [3581][2018-07-04 16:09:46.989768 local] Started as [110.110.110.***:-104:3581:1530691786]
    [3581][2018-07-04 16:09:46.990091 local] configuration file proxy-multi.conf re-read successfully (797 bytes parsed), new configuration active
    [3581][2018-07-04 16:09:46.990172 local] main loop
    [2249][2018-07-04 16:10:49.162799 local] Invoking engine mtproxy-0.01 compiled at Jul  4 2018 16:01:34 by gcc 4.7.2 64-bit after commit 20824f5fa8af3939e667fba5c1785f02059c1c43
    [2249][2018-07-04 16:10:49.163286 local] config_filename = 'proxy-multi.conf'
    [2249][2018-07-04 16:10:49.174220 local] Started as [110.110.110.***:-104:2249:1530691849]
    [2249][2018-07-04 16:10:49.178240 local] configuration file proxy-multi.conf re-read successfully (797 bytes parsed), new configuration active
    [2249][2018-07-04 16:10:49.178362 local] main loop
    
    使用S.S正常,通过MTProxy后,一直显示“正在连接代理”!请问是什么原因导致?
    xuy2018-07-04 16:39 回复
    • 不清楚,日志没有报错。我写脚本测试的时候,也遇到过这种情况,测试脚本的服务器死活连不上,换了个服务器测试就正常了,不知道为什么。软件自身问题请去 Github 联系作者解决。
      Toyo2018-07-05 09:01 回复
  38. 你好,Debian 8安装mtproxy成功后,启动失败
    2018-07-03 16:00 回复
    • 请贴出日志内容。
      Toyo2018-07-04 10:54 回复
  39. 哦!好像不是MTPROXY开的,不知是哪个脚本开的~没事没事了不好意思
    和么公公2018-07-02 19:41 回复
  40. 请问,安装后默认就开了apache 服务么?关掉会不会有问题?
    和么公公2018-07-02 19:23 回复
  41. 我知道了 大佬。。 :mrgreen:
    炒鸡2018-07-02 13:27 回复
  42. [信息] MTProxy服务 管理脚本下载完成 !
    [信息] 开始写入 配置文件...
    [信息] 开始设置 iptables防火墙...
    The service command supports only basic LSB actions (start, stop, restart, try-restart, reload, force-reload, status). For other actions, please try to use systemctl.
    error reading information on service iptables: No such file or directory
    [信息] 开始添加 iptables防火墙规则...
    [信息] 开始保存 iptables防火墙规则...
    The service command supports only basic LSB actions (start, stop, restart, try-restart, reload, force-reload, status). For other actions, please try to use systemctl.
    [信息] 所有步骤 安装完毕,开始启动...
    [信息] MTProxy 启动中...
    [错误] MTProxy 启动失败 !
    
    请问大佬为啥启动失败了。。
    
    炒鸡2018-07-02 13:21 回复
  43. 这个报错是什么原因啊不懂
    fatal: 不是一个 git 仓库(或者任何父目录):.git
    cc  -O3 -std=gnu11 -Wall -mpclmul -march=core2 -mfpmath=sse -mssse3 -fno-strict-aliasing -fno-strict-overflow -fwrapv -DAES=1 -DCOMMIT=\"\" -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -iquote common -iquote . -c -MP -MD -MF dep/mtproto/mtproto-proxy.d -MQ objs/mtproto/mtproto-proxy.o -o objs/mtproto/mtproto-proxy.o mtproto/mtproto-proxy.c
    mtproto/mtproto-proxy.c:42:10: fatal error: openssl/rand.h: 没有那个文件或目录
     #include 
              ^~~~~~~~~~~~~~~~
    compilation terminated.
    Makefile:86: recipe for target 'objs/mtproto/mtproto-proxy.o' failed
    make: *** [objs/mtproto/mtproto-proxy.o] Error 1
    [错误] MTProxy 编译失败!
    fatal: 不是一个 git 仓库(或者任何父目录):.git
    rm -rf objs dep objs/bin || true
    
    狂吃西瓜皮2018-07-01 18:31 回复
    • 奇怪,你的怎么还要求 git ?我的脚本特地不用 git 而是用 unzip 来下载安装。。。
      那你安装前手动执行试试:
      apt-get install git -y
      
      Toyo2018-07-01 18:53 回复
      • 不知道啊 可能我某个库文件少了把 去那个项目哪里照着做又行了 不过又有新问题 ./mtproxy.sh: 行 263: /etc/init.d/mtproxy: 没有那个文件或目录 :lol:
        狂吃西瓜皮2018-07-01 19:37 回复
    • 请更新脚本为最新版本。
      Toyo2018-07-01 19:05 回复
      • 我有装 git的……
        狂吃西瓜皮2018-07-01 20:29 回复
      • 就是不知道为什么 每次编译一半就卡那了
        狂吃西瓜皮2018-07-01 20:29 回复
      • 现在都是卡在 cc -o objs/bin/mtproto-proxy objs/mtproto/mtproto-proxy.o objs/mtproto/mtproto-config.o objs/net/net-tcp-rpc-ext-server.o objs/lib/libkdb.a objs/lib/libkdb.a -ggdb -rdynamic -lm -lrt -lcrypto -lz -lpthread -lcrypto
        狂吃西瓜皮2018-07-01 20:33 回复
        • 这我就不清楚了,我只会照本编译,编译中出现问题(除了缺少部分依赖、缺少编译器)我也不清楚如何解决。。。
          Toyo2018-07-02 10:04 回复
  44. TGX上不能用。不知道速度怎么样,应该不如ssr快吧
    Spencer2018-07-01 17:15 回复
    • 你想多快?Telegram 主要都是文字交流,图片只占一小部分,视频就更少见了(至少我的几个群组是这样),对流量或者说服务器网络要求不高。
      Toyo2018-07-01 17:18 回复
      • 同TGx无法使用 打算下个常规TG试试
        lapizdamatii2018-07-02 09:17 回复
  45. 我的服务器已经装了$$,也是显示启动失败 日志: [注意] 按 Ctrl+C 终止查看日志(正常情况是没有使用日志记录的) --io-threads Number of I/O threads (1-64, default 16) --allow-skip-dh Allow skipping DH during RPC handshake --force-dh Force using DH for all outbound RPC connections --max-accept-rate max number of connections per second that is allowed to accept --max-dh-accept-rate max number of DH connections per second that is allowed to accept --multithread {arg} run in multithread mode --tcp-cpu-threads number of tcp-cpu threads --tcp-iothreads number of tcp-io threads --nat-info : sets network address translation for RPC protocol handshake --address tries to bind socket only to specified address
    zhihuichan2018-07-01 17:05 回复
    • 内容不完整,用这个命令看完整日志:
      cat /usr/local/mtproxy/mtproxy.log
      
      不过一般来说新手只会遇到两种导致无法启动的问题:
      一、端口被占用。
      二、自定义密码,但是不够32位,导致启动失败(本页面写了)。
      
      Toyo2018-07-01 17:21 回复
      • 请问端口被占用怎么排查啊
        zhihuichan2018-07-01 17:23 回复
        • netstat -lntp
          # 查看你的代理端口被哪个程序占用了。
          # 或者你干脆换个端口。
          
          Toyo2018-07-01 17:31 回复
  46. 2018-07-01 04:41:03 (29.7 MB/s) - ‘/etc/init.d/mtproxy’ saved [2342/2342]
    
    [信息] MTProxy服务 管理脚本下载完成 !
    [信息] 开始写入 配置文件...
    [信息] 开始设置 iptables防火墙...
    The service command supports only basic LSB actions (start, stop, restart, try-restart, reload, force-reload, status). For other actions, please try to use systemctl.
    error reading information on service iptables: No such file or directory
    [信息] 开始添加 iptables防火墙规则...
    [信息] 开始保存 iptables防火墙规则...
    The service command supports only basic LSB actions (start, stop, restart, try-restart, reload, force-reload, status). For other actions, please try to use systemctl.
    [信息] 所有步骤 安装完毕,开始启动...
    [信息] MTProxy 启动中...
    [错误] MTProxy 启动失败 !
    
    myunco2018-07-01 16:42 回复
  47. debin8 安装失败。。。
    
    /bin/sh: 1: git: not found
    cc  -O3 -std=gnu11 -Wall -mpclmul -march=core2 -mfpmath=sse -mssse3 -fno-strict-aliasing -fno-strict-overflow -fwrapv -DAES=1 -DCOMMIT=\"\" -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -iquote common -iquote . -c -MP -MD -MF dep/mtproto/mtproto-proxy.d -MQ objs/mtproto/mtproto-proxy.o -o objs/mtproto/mtproto-proxy.o mtproto/mtproto-proxy.c
    mtproto/mtproto-proxy.c:42:26: fatal error: openssl/rand.h: No such file or directory
     #include 
                              ^
    compilation terminated.
    Makefile:86: recipe for target 'objs/mtproto/mtproto-proxy.o' failed
    make: *** [objs/mtproto/mtproto-proxy.o] Error 1
    [错误] MTProxy 编译失败!
    /bin/sh: 1: git: not found
    rm -rf objs dep objs/bin || true
    
    23332018-07-01 16:16 回复
    • 奇怪,你的怎么还要求 git ?我的脚本特地不用 git 而是用 unzip 来下载安装。。。
      那你安装前手动执行试试:
      apt-get install git -y
      
      Toyo2018-07-01 16:37 回复
  48. 2018-07-01 16:08:15 (29.7 MB/s) - ‘/etc/init.d/mtproxy’ saved [2226/2226]
    
    [信息] MTProxy服务 管理脚本下载完成 !
    [信息] 开始写入 配置文件...
    [信息] 开始设置 iptables防火墙...
    iptables: Saving firewall rules to /etc/sysconfig/iptables:[  OK  ]
    Note: Forwarding request to 'systemctl enable iptables.service'.
    [信息] 开始添加 iptables防火墙规则...
    [信息] 开始保存 iptables防火墙规则...
    iptables: Saving firewall rules to /etc/sysconfig/iptables:[  OK  ]
    [信息] 所有步骤 安装完毕,开始启动...
    [信息] MTProxy 启动中...
    [错误] MTProxy 启动失败 !
    
    KOOL2018-07-01 16:09 回复
    • 贴出日志内容。
      Toyo2018-07-01 16:35 回复
      • 在哪看日志
        myunco2018-07-01 16:45 回复
      • [注意] 按 Ctrl+C 终止查看日志(正常情况是没有使用日志记录的)
        
                --io-threads                       Number of I/O threads (1-64, def              ault 16)
                --allow-skip-dh                         Allow skipping DH during RPC han              dshake
                --force-dh                              Force using DH for all outbound               RPC connections
                --max-accept-rate                  max number of connections per se              cond that is allowed to accept
                --max-dh-accept-rate               max number of DH connections per               second that is allowed to accept
                --multithread {arg}                     run in multithread mode
                --tcp-cpu-threads                  number of tcp-cpu threads
                --tcp-iothreads                    number of tcp-io threads
                --nat-info                         :     s              ets network address translation for RPC protocol handshake
                --address                          tries to bind socket only to spe              cified address
        
        myunco2018-07-01 16:48 回复
        • 内容不完整,用这个命令看完整日志:
          cat /usr/local/mtproxy/mtproxy.log
          
          Toyo2018-07-01 17:00 回复
    • 我的情况和你一样,你解决了吗?
      myunco2018-07-01 17:37 回复
  49. 这个可以在墙内用吗,我试了发现无法连接(nat小鸡,端口转发会不会有问题?)
    taizitp2018-07-01 16:09 回复
    • NAT 服务器请卸载并更新最新脚本再安装,刚刚更新脚本增加了 NAT 设置,NAT服务器必须填写内网IP才能正常链接。
      MTProxy 服务端要在海外服务器上面安装,客户端(Telegram客户端)国内当然能用。
      Toyo2018-07-01 16:34 回复
      • 谢谢,增加nat选项后就可以成功连接了
        taizitp2018-07-01 16:36 回复
  50. 沙发!
    taizitp2018-07-01 16:02 回复
1 2